Bug 730574 - odd/even page printing is broken
Summary: odd/even page printing is broken
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-14 15:27 UTC by Need Real Name
Modified: 2015-12-02 16:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 02:35:53 UTC


Attachments (Terms of Use)
original document (2.86 MB, application/djvu)
2011-08-14 15:28 UTC, Need Real Name
no flags Details
even pages in reversed order & odd on direct order (12.26 MB, application/x-zip-compressed)
2011-08-14 15:38 UTC, Need Real Name
no flags Details
second example (14.58 KB, application/x-zip-compressed)
2011-08-17 16:25 UTC, Need Real Name
no flags Details
proper second example (14.58 KB, application/x-zip-compressed)
2011-08-17 17:04 UTC, Need Real Name
no flags Details
unit test (13.04 KB, application/x-zip-compressed)
2011-08-19 13:08 UTC, Need Real Name
no flags Details

Description Need Real Name 2011-08-14 15:27:48 UTC
Description of problem:
There is a problem with 
rpm -q evince
evince-3.1.2-2.fc15.x86_64
regarding two side printing.

To print two side on a single side printer the standard procedure is this:
1. Print even pages in reverse order.
2. Put printed pages back to printer paper feed.
3. Print odd pages in direct order.

Two side printing will be performed as results.
The problem is evince-3.1.2-2.fc15.x86_64
(and all versions since F11-F12) on steps #1 & #3 print 
EXACTLY the same pages. As a result one get two side printing,
where identical content is printed on both sides of a page.  


This happens not on all, but on some documents.

Comment 1 Need Real Name 2011-08-14 15:28:42 UTC
Created attachment 518192 [details]
original document

Original document

Comment 2 Need Real Name 2011-08-14 15:38:13 UTC
Created attachment 518194 [details]
even pages in reversed order & odd on direct order

Attacted "print to file" results of evince.
p_even_reversed.ps & p_odd_direct.ps
as one can see evince printed EXACTLY THE SAME PAGES in both cases.

Comment 3 Marek Kašík 2011-08-15 13:56:42 UTC
Hi,

this is not a bug. The output is correct because evince puts pages into reverse order and then it selects even "sheets" for printing. This means that for pages "1 2 3 4" evince reverse order of pages so he has "4 3 2 1" list of sheets and then it takes even sheets. This results in "3 1" list. The second part produces "1 3" list.
I'm closing this as notabug.

Regards

Marek

Comment 4 Need Real Name 2011-08-17 16:25:26 UTC
Created attachment 518719 [details]
second example

I am attaching second example, which contradicts to what you wrote.
evince-3.1.2-2.fc15.x86_64:

even reversed print 4 & 2
odd direct print 1 & 3.

This is how evince worked for years,
then the order became unpredictable with even/odd direct/reversed.

Anyway, I have no interest to fight the way how evince treat odd/even pages,
I think most people think even/odd in terms of original document paging.

All I need to be able to print two side on a singe side printer. I need: 
"original even pages in reversed order"
"original odd pages in direct order"

How this can be done in evince?

Comment 5 Need Real Name 2011-08-17 16:28:18 UTC
And also, I have seen no single program which uses your definition of 
even/odd. Try: firefox, MS Word, Openoffice, thunderbird, etc.

1 2 3 4 
even reversed: 4 2
odd direct:    1 3

No single program print 3 1 & 1 3 as you wrote.

Comment 6 Need Real Name 2011-08-17 16:33:04 UTC
I am reopening the bug trying to get a second review of it.

Comment 7 Need Real Name 2011-08-17 17:04:46 UTC
Created attachment 518721 [details]
proper second example

Proper second example of evince-3.1.2-2.fc15.x86_64 
printing ap.pdf, pages 1 2 3 4

even reversed: 4 2 (xap_even_reversed.pdf)
odd direct: 1 3 (xap_odd_direct.pdf)

this is how evince should work. All other program 
(thunderbird, MSWord, Openoffice, etc) work this way.

The problem: on some documents (see first attachment)
it prints like you wrote: 3 1 & 1 3.

This confuses people and make two side printing hard.

Comment 8 Marek Kašík 2011-08-19 08:19:53 UTC
The difference here is that evince prints DJVUs the way I described but uses another way for PDFs. The difference is the bug.

Comment 9 Marek Kašík 2011-08-19 11:03:33 UTC
Evince uses gtk+ print stack for printing PDFs and XPSs but it uses its own function for ordering pages for other file formats.

Comment 10 Need Real Name 2011-08-19 13:08:17 UTC
Created attachment 519035 [details]
unit test

Correct, the problem with printing arise only on djvu.
pdfs are printed correctly for "even reversed" (4 2)
djvus are printed incorrectly "even reversed" (3 1)

Comment 11 Need Real Name 2011-12-10 18:46:40 UTC
Still broken in evince-3.3.2-1.fc16.x86_64

Comment 12 Need Real Name 2012-01-01 09:17:48 UTC
same problem in evince-3.3.3.1-3.fc16.x86_64

Comment 13 Need Real Name 2012-01-29 10:01:53 UTC
same thing with
rpm -q evince
evince-3.3.4-2.fc16.x86_64

Comment 14 Need Real Name 2012-05-01 21:08:12 UTC
Same problem with rpm -q evince
evince-3.4.0-2.fc17.x86_64

can somebody fix this trivial, but extremely annoying bug.

Comment 15 Fedora End Of Life 2013-07-04 06:19:44 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-01-09 21:52:07 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2015-11-04 15:45:24 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2015-12-02 02:35:56 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.